Bug 506191 - power saver option display turn off activates when mplayer is playing video
power saver option display turn off activates when mplayer is playing video
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-15 19:01 EDT by Major Péter
Modified: 2009-10-26 08:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-20 07:59:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Major Péter 2009-06-15 19:01:35 EDT
Description of problem:
The display turns off while mplayer is playing video. If the timer is setted to 5 min, it turns off the display, after the screen is locked, but it's turning off the screen, even there is a running video player (like mplayer).

Version-Release number of selected component (if applicable):
2.26.1

How reproducible:
Always

Steps to Reproduce:
1. Turn on the power saver display turn off function
2. Start to play a video with mplayer
  
Actual results:
The display is turning off after the pre-setted time.

Expected results:
It doesn't turning off.

Additional info:
Mplayer version: MPlayer 29092-4.4.0
Comment 1 Richard Hughes 2009-08-20 07:59:09 EDT
mplayer needs to inhibit the session -- otherwise gnome-power-manager has no idea what's going on.
Comment 2 Kieran Clancy 2009-10-26 08:31:05 EDT
mplayer calls XScreenSaverSuspend when it starts playing, which inhibits a standard xscreensaver-compatible screensaver from running, but gnome-screensaver uses it's own system for other technical reasons.

I think it would be good if it could support applications that use XScreenSaverSuspend though, see comment 2 on <https://bugzilla.gnome.org/show_bug.cgi?id=416429>.

Note You need to log in before you can comment on or make changes to this bug.